curl --location --request DELETE 'https://api.getmetal.io/v1/indexes/{indexId}/documents/{documentId}' \
--header 'Content-Type: application/json' \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <client-id>' \
{
"data": {
"id": "document-id"
}
}
🧬 Embedding Documents
Delete Document
This endpoint deletes an embedding document.
DELETE
/
v1
/
indexes
/
{indexId}
/
documents
/
{documentId}
curl --location --request DELETE 'https://api.getmetal.io/v1/indexes/{indexId}/documents/{documentId}' \
--header 'Content-Type: application/json' \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <client-id>' \
{
"data": {
"id": "document-id"
}
}
Auth Headers
string
required
An API key for your org.
string
required
A Client ID for your org.
Params
string
required
The Document ID
Response
object
curl --location --request DELETE 'https://api.getmetal.io/v1/indexes/{indexId}/documents/{documentId}' \
--header 'Content-Type: application/json' \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <client-id>' \
{
"data": {
"id": "document-id"
}
}